Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.persister.entity
Class GroovyAwareJoinedSubclassEntityPersister

    java.lang.Object
      org.hibernate.persister.entity.AbstractEntityPersister
          org.hibernate.persister.entity.JoinedSubclassEntityPersister
              org.codehaus.groovy.grails.orm.hibernate.persister.entity.GroovyAwareJoinedSubclassEntityPersister

All Implemented Interfaces:
  org.hibernate.cache.OptimisticCacheSource, org.hibernate.id.PostInsertIdentityPersister, org.hibernate.intercept.LazyPropertyInitializer, org.hibernate.metadata.ClassMetadata, org.hibernate.persister.entity.EntityPersister, org.hibernate.persister.entity.Joinable, org.hibernate.persister.entity.Loadable, org.hibernate.persister.entity.Lockable, org.hibernate.persister.entity.OuterJoinLoadable, org.hibernate.persister.entity.PropertyMapping, org.hibernate.persister.entity.Queryable, org.hibernate.persister.entity.SQLLoadable, org.hibernate.persister.entity.UniqueKeyLoadable

    public class GroovyAwareJoinedSubclassEntityPersister

extends org.hibernate.persister.entity.JoinedSubclassEntityPersister

A customized EntityPersisteer that creates proxies valid for use with Groovy

Since:
  1.1.1

  Created: Apr 21, 2009
Author:
  Graeme Rocher

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.persister.entity.AbstractEntityPersister
`org.hibernate.persister.entity.AbstractEntityPersister.InclusionChecker`

Nested classes/interfaces inherited from interface org.hibernate.persister.entity.Queryable
`org.hibernate.persister.entity.Queryable.Declarer`

Field Summary

Fields inherited from class org.hibernate.persister.entity.AbstractEntityPersister
`customSQLDelete, customSQLInsert, customSQLUpdate, deleteCallable, deleteResultCheckStyles, ENTITY_CLASS, insertCallable, insertResultCheckStyles, propertyMapping, rowIdName, updateCallable, updateResultCheckStyles`

Fields inherited from interface org.hibernate.persister.entity.Loadable
`ROWID_ALIAS`

Fields inherited from interface org.hibernate.persister.entity.EntityPersister
`ENTITY_ID`

Fields inherited from interface org.hibernate.persister.entity.Loadable
`ROWID_ALIAS`

Fields inherited from interface org.hibernate.persister.entity.EntityPersister
`ENTITY_ID`

Fields inherited from interface org.hibernate.persister.entity.Loadable
`ROWID_ALIAS`

Fields inherited from interface org.hibernate.persister.entity.EntityPersister
`ENTITY_ID`

Fields inherited from interface org.hibernate.persister.entity.Loadable
`ROWID_ALIAS`

Fields inherited from interface org.hibernate.persister.entity.EntityPersister
`ENTITY_ID`

Fields inherited from interface org.hibernate.intercept.LazyPropertyInitializer
`UNFETCHED_PROPERTY`

Constructor Summary
`GroovyAwareJoinedSubclassEntityPersister(org.hibernate.mapping.PersistentClass persistentClass, org.hibernate.cache.access.EntityRegionAccessStrategy cacheAccessStrategy, org.hibernate.engine.SessionFactoryImplementor factory, org.hibernate.engine.Mapping mapping)`

Method Summary
`Object` | `createProxy(Serializable id, org.hibernate.engine.SessionImplementor session)`

Methods inherited from class org.hibernate.persister.entity.JoinedSubclassEntityPersister
`addDiscriminatorToSelect, filterFragment, fromTableFragment, generateFilterConditionAlias, getConstraintOrderedTableNameClosure, getContraintOrderedTableKeyColumnClosure, getDiscriminatorSQLValue, getDiscriminatorType, getIdentifierColumnNames, getKeyColumns, getPropertySpaces, getPropertyTableName, getPropertyTableNumbers, getPropertyTableNumbersInSelect, getRootTableAlias, getRootTableName, getSubclassColumnTableNumberClosure, getSubclassForDiscriminatorValue, getSubclassFormulaTableNumberClosure, getSubclassPropertyDeclarer, getSubclassPropertyTableName, getSubclassPropertyTableNumber, getSubclassTableKeyColumns, getSubclassTableName, getSubclassTableSpan, getTableName, getTableName, getTableSpan, isClassOrSuperclassTable, isMultiTable, isPropertyOfTable, isTableCascadeDeleteEnabled, toColumns`

Methods inherited from class org.hibernate.persister.entity.AbstractEntityPersister
`addDiscriminatorToInsert, afterInitialize, afterReassociate, canExtractIdOutOfEntity, check, concretePropertySelectFragment, concretePropertySelectFragment, concretePropertySelectFragment, concretePropertySelectFragmentSansLeadingComma, consumesCollectionAlias, consumesEntityAlias, countSubclassProperties, createEntityLoader, createEntityLoader, createFrom, createJoin, createJoin, createQueryLoader, createSelect, createUniqueKeyLoaders, createWhereByKey, dehydrate, dehydrate, delete, delete, filterFragment, findDirty, findModified, forceVersionIncrement, fromJoinFragment, generateDeleteString, generateIdentityInsertString, generateInsertGeneratedValuesSelectString, generateInsertString, generateInsertString, generateInsertString, generateLazySelectString, generateLocker, generateSelectVersionString, generateSnapshotSelectString, generateTableAlias, generateUpdateGeneratedValuesSelectString, generateUpdateString, generateUpdateString, getCacheAccessStrategy, getCacheEntryStructure, getCascadeStyle, getClassMetadata, getConcreteProxyClass, getCurrentVersion, getDatabaseSnapshot, getDiscriminatorAlias, getDiscriminatorAlias, getDiscriminatorColumnName, getDiscriminatorFormulaTemplate, getEntityMetamodel, getEntityName, getEntityType, getFactory, getFetchMode, getIdentifier, getIdentifierAliases, getIdentifierAliases, getIdentifierColumnSpan, getIdentifierGenerator, getIdentifierPropertyName, getIdentifierType, getIdentitySelectString, getKeyColumnNames, getLazyProperties, getMappedClass, getMappedSuperclass, getName, getNaturalIdentifierProperties, getNaturalIdentifierSnapshot, getNonLazyPropertyUpdateability, getPropertiesToInsert, getPropertiesToUpdate, getPropertyAliases, getPropertyCascadeStyles, getPropertyCheckability, getPropertyColumnNames, getPropertyColumnNames, getPropertyColumnSpan, getPropertyIndex, getPropertyInsertability, getPropertyInsertGenerationInclusions, getPropertyLaziness, getPropertyNames, getPropertyNullability, getPropertySpan, getPropertySubclassNames, getPropertyType, getPropertyTypes, getPropertyUpdateability, getPropertyUpdateability, getPropertyUpdateGenerationInclusions, getPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesToInsert, getPropertyVersionability, getQuerySpaces, getRootEntityName, getRootTableIdentifierColumnNames, getRootTableKeyColumnNames, getSelectByUniqueKeyString, getSequentialSelect, getSQLDeleteStrings, getSQLIdentityInsertString, getSQLInsertStrings, getSQLLazySelectString, getSQLLazyUpdateByRowIdStrings, getSQLLazyUpdateStrings, getSQLSnapshotSelectString, getSQLUpdateByRowIdStrings, getSQLUpdateStrings, getSQLWhereString, getSubclassColumnAliasClosure, getSubclassColumnClosure, getSubclassColumnLazyiness, getSubclassEntityPersister, getSubclassFormulaAliasClosure, getSubclassFormulaClosure, getSubclassFormulaLazyiness, getSubclassFormulaTemplateClosure, getSubclassPropertyColumnAliases, getSubclassPropertyColumnNameClosure, getSubclassPropertyColumnNames, getSubclassPropertyColumnNames, getSubclassPropertyFormulaTemplateClosure, getSubclassPropertyName, getSubclassPropertyNameClosure, getSubclassPropertySubclassNameClosure, getSubclassPropertyTableNumber, getSubclassPropertyType, getSubclassPropertyTypeClosure, getTableUpdateNeeded, getTemporaryIdTableDDL, getTemporaryIdTableName, getTuplizer, getTuplizer, getType, getVersion, getVersionColumnName, getVersionComparator, getVersionedTableName, getVersionProperty, getVersionSelectString, getVersionType, guessEntityMode, hasCache, hasCascades, hasCollections, hasEmbeddedCompositeIdentifier, hasFormulaProperties, hasIdentifierProperty, hasInsertGeneratedProperties, hasLazyProperties, hasMutableProperties, hasNaturalIdentifier, hasProxy, hasRowId, hasSequentialSelect, hasSubclasses, hasSubselectLoadableCollections, hasUninitializedLazyProperties, hasUpdateGeneratedProperties, hasWhere, hydrate, identifierSelectFragment, implementsLifecycle, implementsValidatable, initializeLazyProperty, initLockers, initPropertyPaths, initSubclassPropertyAliasesMap, insert, insert, insert, insert, instantiate, isAbstract, isBatchable, isBatchLoadable, isCacheInvalidationRequired, isCollection, isDefinedOnSubclass, isDeleteCallable, isExplicitPolymorphism, isIdentifierAssignedByInsert, isInherited, isInsertCallable, isInstance, isInstrumented, isInverseSubclassTable, isInverseTable, isLazyPropertiesCacheable, isMutable, isNullableSubclassTable, isNullableTable, isPolymorphic, isSelectBeforeUpdateRequired, isSubclassEntityName, isSubclassPropertyDeferred, isSubclassPropertyNullable, isSubclassTableLazy, isSubclassTableSequentialSelect, isTransient, isUpdateCallable, isVersioned, isVersionPropertyGenerated, isVersionPropertyInsertable, load, loadByUniqueKey, lock, logStaticSQL, oneToManyFilterFragment, optimisticLockMode, postConstruct, postInstantiate, processInsertGeneratedProperties, processUpdateGeneratedProperties, propertySelectFragment, renderSelect, resetIdentifier, selectFragment, selectFragment, setIdentifier, setPropertyValue, setPropertyValue, setPropertyValues, toColumns, toColumns, toString, toType, update, update, updateOrInsert, useDynamicInsert, useDynamicUpdate, useGetGeneratedKeys, useInsertSelectIdentity, whereJoinFragment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyAwareJoinedSubclassEntityPersister

    public GroovyAwareJoinedSubclassEntityPersister(org.hibernate.mapping.PersistentClass persistentClass,
                                                    org.hibernate.cache.access.EntityRegionAccessStrategy cacheAccessStrategy,
                                                    org.hibernate.engine.SessionFactoryImplementor factory,
                                                    org.hibernate.engine.Mapping mapping)
                                             throws org.hibernate.HibernateException

Throws:
  `org.hibernate.HibernateException`

Method Detail

### createProxy

    public Object createProxy(Serializable id,
                              org.hibernate.engine.SessionImplementor session)
                       throws org.hibernate.HibernateException

  Specified by:
    `createProxy` in interface `org.hibernate.persister.entity.EntityPersister`
  Overrides:
    `createProxy` in class `org.hibernate.persister.entity.AbstractEntityPersister`
  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project